Rock
American FootballAmerican Football
UK & US 2019 (Polyvinyl Record Company PRC-025LP)Винил. Пластинка; LP; Альбом; Переиздание
CrimsonAlkaline Trio
US 2026 (Vagrant Records VR4404)Винил. Пластинка; LP; Альбом; Переиздание
JuturnaCirca Survive
US (Equal Vision Records EVR103)Компакт-диск. CD; Альбом; Переиздание
Rites Of SpringRites Of Spring
US 2023 (Dischord Records Dischord 16)Винил. Пластинка; LP; Альбом; Переиздание
The Lurid Traversal Of Route 7Hoover
US 2017 (Dischord Records DIS89V)Винил. Пластинка; LP; Альбом; Переиздание
The Mercury LPRegulator Watts
US 2025 (Solid Brass (2) SBR18)Винил. Пластинка; LP; Сборник; Переиздание
US (Dischord Records DIS 16 CD)Компакт-диск. CD; Переиздание; Ремастер; Repress
US (Polyvinyl Record Company prc 025)Компакт-диск. CD; Альбом; Переиздание
Dark WorldPity Sex
US 2012 (Run For Cover Records (2) none)Винил. Пластинка; 12"; EP; Переиздание
Armonia Para ResistirHalo
Uruguay 2015 (Catalina Records (3) Cr021)Винил. Пластинка; LP; Альбом; Переиздание
Lyburnum Wits End Liberation FlyMoss Icon
US 2023 (Temporary Residence Limited TRR393 LP-C3)Винил. Пластинка; LP; Альбом; Переиздание
The Ugly OrganCursive
US 2025 (Run For Cover Records (2) RFC307)Винил. Пластинка; LP; Альбом; Лимитированное издание
Holy GhostModern Baseball
US 2021 (Run For Cover Records (2) RFC:152)Винил. Пластинка; LP; Альбом; Лимитированное издание
L'Un Sans L'AutreMihai Edrisch
Germany 2009 (Denovali Records DEN19)Винил. Пластинка; LP; Альбом; Лимитированное издание
30° EverywhereThe Promise Ring
US 2018 (Jade Tree JT1026 / 82113-1)Винил. Пластинка; LP; Альбом; Переиздание
DomesticaCursive
US 2025 (Run For Cover Records (2) RFC305)Винил. Пластинка; LP; Альбом; Переиздание
Peripheral VisionTurnover
UK, Europe & US 2022 (Run For Cover Records (2) RFC122)Винил. Пластинка; LP; Альбом; Переиздание
Summer DeathMarietta
US 2025 (Lame-O Records lmo-123)Компакт-диск. CD; Альбом; Переиздание
Bleed AmericanJimmy Eat World
Europe 2016 (Geffen Records 00602547316400)Винил. Пластинка; LP; Альбом; Переиздание
The PineThe Pine
US 2025 (Going Underground Records RNLD-55)Компакт-диск. CD; Переиздание; Ремастер
The UnderdarkFuneral Diner
US 2026 (Repeater Records REP-001)Винил. Пластинка; LP; Альбом; Переиздание
LP2Sunny Day Real Estate
US 2010 (Sub Pop SP 852)Винил. Пластинка; LP; Альбом; Переиздание
How It Feels To Be Something OnSunny Day Real Estate
US 2016 (Sub Pop SP 409)Винил. Пластинка; LP; Альбом; Переиздание
The Rising TideSunny Day Real Estate
US 2018 (Craft Recordings CR00069)Винил. Пластинка; LP; Альбом; Переиздание
Они помогают запоминать настройки и обеспечивать работу сервиса. Сайтом можно пользоваться и без нажатия «Принять» — баннер снова появится при следующем заходе, пока вы не согласитесь.